Subject: Re: [ipfix] IPFIX-info Update

From: "Jeff Meyer" <[email-masked]>
Date: Tue, 10 Feb 2004 20:40:54 -0800

Thomas,

  Thanks for advancing this work!

-- Jeff

>From: Thomas Dietz <[email-masked]>
>To: Jeff Meyer <[email-masked]>, [email-masked]
>Subject: Re: [ipfix] IPFIX-info Update
>Date: Tue, 10 Feb 2004 17:17:53 +0100
>
>Hello,
>
>to follow up what Jeff does I elaborated Jeffs transformation scripts
>a little bit further. Now there are 3 transformation scripts (xslt),
>the schema for the info model (xsd) and the info model itself (xml).
>
>The transformation scripts do the following:
>
>postProcessInfoModel-0301.xsl (was info_post_process_03.xsl)
>
>   loads the next two scripts and does the overall processing.
>
>schema2rfc2629-0300.xsl
>
>   produces the sections or part of the sections "data types" and
>   "field properties" out of the info model schema 
>infomodelschema-0300.xsd.
>
>infomodel2rfc2629-0301.xsl (was infomodel_to_rfc2629.xsl)
>
>   produces the section "field definitions" out of the info model
>   document infomodel-0300.xml.
>
>I attached again the preliminary info model schema and info model
>document (infomodelschema-0300.xsd and infomodel.xml) but note that they
>are far from complete. As Jeff already state we still wait for some
>input and are working on the completion.
>
>I put a version number at the end of each file with the format xxyy
>where xx is the draft version for which the files are intended and yy
>is a revision number to keep track of revisions. You may keep this
>scheme or just forget about it. It was just for my convenience.
>
>Regards,
>
>Thomas Dietz
>
>--On Montag, Februar 09, 2004 00:20:43 -0800 Jeff Meyer <[email-masked]> 
>wrote:
>
>>Hi,
>>
>>   Thanks for the responses to the various [issue] items related to IPFIX.
>>
>>   I am in the process of updating this draft to coincide with comments to
>>date.
>>
>>   One major change is related to the alternate formal defintion format
>>specified by Juergen.  Another change is trying to apply more automation 
>>to
>>the construction of the RFC2629 compliant source for the info-model.  In
>>particular I've been developing XSL translation pages to post process the
>>RFC2629 document and automatically fill in body areas which are formally
>>defined.  This is in contrast to some of the cut/paste work which was
>>necessary in earlier revisions.
>>
>>   Currently section 6 and appendix A are automatically populated from the
>>common (non-normative) XML information model, based on Juergen's proposal.
>>
>>   Juergen's proposal to also populate section 4 from the formal model 
>>also
>>makes sense, but I haven't yet created this XSL mapping file.
>>
>>   The expectation would be that the base RFC2629 compliant draft be 
>>written
>>using special markup for the sections which are machine generated (e.g.
>><transform-schema/> or <include-schema/>) and the XSL would alter this
>>document with the appropriate form of content), then churning the whole
>>thing through the HTML/nroff style generator at Marshall Rose's site
>>(http://xml.resource.org) would produce the submittable draft.
>>
>>   The other area of change is the set of elements (fields) defined in the
>>info model itself.  I'm awaiting any updates from Stewart
>>(http://ipfix.doit.wisc.edu/archive/2391.html) or others on updates to the
>>base content of the info model.
>>
>>   Attached are the two updated stylesheets for generating the full
>>draft/RFC.
>>
>>   I'll continue working on this myself, but if there are concrete
>>contributions (e.g. Stylesheets or new Information Element content) that
>>would help speed things up.
>>
>>Regards,
>>
>>   Jeff Meyer
>>
>>P.S.  I will not be able to go to Korea for the next IETF meeting.
>>
>>_________________________________________________________________
>>Check out the great features of the new MSN 9 Dial-up, with the MSN 
>>Dial-up
>>Accelerator. http://click.atdmt.com/AVE/go/onm00200361ave/direct/01/
>
>
>
>--
>Thomas Dietz
>Network Laboratories               Phone:  +49/(0)6221/90511-28
>NEC Europe Ltd.                    E-mail: [email-masked]
>Kurfuersten-Anlage 36
>69115 Heidelberg, Germany
><< infomodel-0300.xml >>
><< infomodel2rfc2629-0301.xsl >>
><< infomodelschema-0300.xsd >>
><< postProcessInfoModel-0301.xsl >>
><< schema2rfc2629-0300.xsl >>

_________________________________________________________________
Plan your next US getaway to one of the super destinations here. 
http://special.msn.com/local/hotdestinations.armx

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/